/*
 * gimmix-io.h -- University of Applied Sciences Giessen
 *                MMIX-IO implementation
 */


#ifndef _GIMMIX_IO_H_
#define _GIMMIX_IO_H_


#include "gimmix-common.h"


void mmix_io_init(void);
octa mmix_fopen(unsigned char handle, octa name, octa mode);
void mmix_fake_stdin(FILE *f);
octa mmix_fclose(unsigned char handle);
octa mmix_fread(unsigned char handle, octa buffer, octa size);
octa mmix_fgets(unsigned char handle, octa buffer, octa size);
octa mmix_fgetws(unsigned char handle, octa buffer, octa size);
octa mmix_fwrite(unsigned char handle, octa buffer, octa size);
octa mmix_fputs(unsigned char handle, octa string);
octa mmix_fputws(unsigned char handle, octa string);
octa mmix_fseek(unsigned char handle, octa offset);
octa mmix_ftell(unsigned char handle);
void print_trip_warning(int n, octa loc);


#endif /* _GIMMIX_IO_H_ */
